<?php
namespace App\Models;
use App\Models\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 *  @description 地标
 *  @author  system;
 *  @version    1.0
 *  @date 2018-10-26 08:38:42
 *
 */
class MapLandmarkModel extends BaseModel
{
    use SoftDeletes;
    protected $dates = ['delete_at'];
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'map_landmark';
    /**
    主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
                           'lat',
                           'cover',
                           'address',
                           'lng',
                           'title',
                           'subtitle',
                           'content',
                           'like'
                          ];

}