<?php
namespace App\Models;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Laravel\Passport\HasApiTokens;
use Illuminate\Notifications\Notifiable;
/**
 *  @description 用户管理
 *  @author  system;
 *  @version    1.0
 *  @date 2018-10-26 08:35:26
 *
 */
class UserInfoModel extends Authenticatable
{
    use HasApiTokens, Notifiable;
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'user_info';
    /**
    主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
                           'nickname',
                           'openid',
                           'mobile',
                           'avatar',
                           'last_login_time',
                           'remember_token'
                          ];

}