@extends('admin.layout')

@section('content')

<?php
    if(!isset($data)) $data = array();
    if(!$data && session("data")){
        $data = session("data");
    }
    if(!$data && session('_old_input')){
        $data = session("_old_input");
    }
?>


	<div class="row">
		<div class="col-sm-12">
			<div class="ibox float-e-margins">
				<div class="ibox-title">
					<h5>地标</h5>
					<div class="ibox-tools">
						<a class="collapse-link"> <i class="fa fa-chevron-up"></i>
						</a>
					</div>
				</div>
				<div class="ibox-content">
                    @if(role('Map/Landmark/index'))
				    <div class="row">
    					<div class="col-sm-3 pull-right">
    					   <a href="{{ U('Map/Landmark/index')}}" class="btn btn-sm btn-primary pull-right">返回列表</a>
    					</div>
					</div>
                    @endif

		            <div class="row">
                        <div class="col-lg-10">
                            <form name="form_product" id="form-validation" action="" class="form-horizontal form-validation" accept-charset="UTF-8" method="post">

                                    
                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">纬度</label>
                                    
                   <div class="col-sm-9">
                     <input id="data_lat" name="data[lat]" class="form-control" value="{{ $data['lat'] or ''}}" required="" aria-required="true"  placeholder=""> 
                    </div>
                                
                </div>    
                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">经度</label>
                                    
                   <div class="col-sm-9">
                     <input id="data_lng" name="data[lng]" class="form-control" value="{{ $data['lng'] or ''}}" required="" aria-required="true"  placeholder=""> 
                    </div>
                                
                </div>    
                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">标题</label>
                                    
                   <div class="col-sm-9">
                     <input id="data_title" name="data[title]" class="form-control" value="{{ $data['title'] or ''}}" required="" aria-required="true"  placeholder=""> 
                    </div>
                                
                </div>    
                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">副标题</label>
                                    
                   <div class="col-sm-9">
                     <input id="data_subtitle" name="data[subtitle]" class="form-control" value="{{ $data['subtitle'] or ''}}" required="" aria-required="true"  placeholder=""> 
                    </div>
                                
                </div>
                                <div class="form-group">

                                    <label class="control-label col-sm-3">地标详情</label>

                                    <div class="col-sm-9">
                                        {!! ueditor('') !!}

                                        <script id="container" name="data[content]"
                                                type="text/plain">{!! $data['content'] or '' !!}</script>
                                    </div>

                                </div>
                                <div class="form-group">

                                    <label class="control-label col-sm-3">详细地址</label>

                                    <div class="col-sm-9">
                                        <input id="data_address" name="data[address]" class="form-control" value="{{ $data['address'] or ''}}" required="" aria-required="true"  placeholder="">
                                    </div>

                                </div>
                <div class="form-group">
                                    
                 <label class="control-label col-sm-3">点赞</label>
                                    
                   <div class="col-sm-9">
                     <input id="data_like" name="data[like]" class="form-control" value="{{ $data['like'] or ''}}" required="" aria-required="true"  placeholder=""> 
                    </div>
                                
                </div>

             {{--   <div class="form-group">

                    <label class="control-label col-sm-3">封面图片(500*500)</label>
                    <div class="col-sm-9">
                        {!!  widget('Tools.ImgUpload')->single2('/upload/cover','cover',"cover",  isset($data['cover'])? $data['cover'] : '',array("sizex"=>500,"sizey"=>500)) !!}
                    </div>
                </div>--}}
                                <div class="form-group">
                                    <div class="col-sm-9" style="margin-left: 27%">
                                    <div style="display: inline-block;vertical-align: top;width: 45%">
                                        <div class="form-group row map">
                                            <div class="offset-2 col-9">
                                                <div class="input-group" style="margin-top: 20px;">
                                                    <input class="form-control region" type="text" placeholder="城市">
                                                    <span class="input-group-addon ">和</span>
                                                    <input class="form-control keyword" type="text" placeholder="关键字">
                                                    <a class="input-group-addon search" href="javascript:">搜索</a>
                                                </div>
                                                <div class="text-info">搜索时城市和关键字必填</div>
                                                <div class="text-info">点击地图上的蓝色点，获取经纬度</div>
                                                <div class="text-danger map-error mb-3" style="display: none">错误信息</div>
                                                <div id="containersss" style="min-width:600px;min-height:600px;"></div>
                                            </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                <div class="form-group">

                    <label class="control-label col-sm-3">地标轮播图(1920*1080)</label>
                    <div class="col-sm-9">
                        {{--{!!  widget('Tools.ImgUpload')->single2('/upload/attr','attr',"attr",  isset($data['attr'])? $data['attr'] : '',array("sizex"=>1920,"sizey"=>1080)) !!}--}}
                        {!!  widget('Tools.ImgUpload')->multi2('/upload/banner','banner',"data[banner]",  isset($data['banner'])? $data['banner'] : '',array("sizex"=>1920,"sizey"=>1080)) !!}
                    </div>
                </div>


                                <div class="form-group">
                                    <label class="control-label col-sm-3">&nbsp;</label>
                                    <div class="col-sm-9">
                                        <input type="hidden" name="id" value="{{ $data['id'] or ''}}"/>
                                        <input type="hidden" name="_referer" value="<?php echo urlencode(request()->server('HTTP_REFERER'));?>"/>
                                        <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>"/>
                                        <input type="submit" class="btn btn-success" style="margin-right:20px;">
                                        <input type="reset" class="btn btn-default" >
                                    </div>
                                </div>
        
                            </form>
                        </div>
                        <!-- /.col-lg-10 -->
                    </div>


                    <!-- /.row -->
				</div>
			</div>
		</div>
	</div>

<script charset="utf-8" src="https://map.qq.com/api/js?v=2.exp&key=YGZBZ-QSKCU-7LGVI-2WWXU-E5YEJ-2WFBA" ></script>
<script>

    var searchService, map, markers = [];
    //        window.onload = function(){
    //直接加载地图
    //初始化地图函数  自定义函数名init
    function init() {
        //定义map变量 调用 qq.maps.Map() 构造函数   获取地图显示容器
        var map = new qq.maps.Map(document.getElementById("containersss"), {
            center: new qq.maps.LatLng(39.916527, 116.397128),      // 地图的中心地理坐标。
            zoom: 15                                                 // 地图的中心地理坐标。
        });
        console.log(document.getElementById("container"));
        var latlngBounds = new qq.maps.LatLngBounds();
        //调用Poi检索类
        searchService = new qq.maps.SearchService({
            complete: function (results) {
                var pois = results.detail.pois;
                $('.map-error').hide();
                if (!pois) {
                    $('.map-error').show().html('关键字搜索不到，请重新输入');
                    return;
                }
                for (var i = 0, l = pois.length; i < l; i++) {
                    (function (n) {
                        var poi = pois[n];
                        latlngBounds.extend(poi.latLng);
                        var marker = new qq.maps.Marker({
                            map: map,
                            position: poi.latLng,
                        });

                        marker.setTitle(n + 1);

                        markers.push(marker);
                        //添加监听事件
                        qq.maps.event.addListener(marker, 'click', function (e) {
                            var address = poi.address;
                            $("input[name='data[address]']").val(address);
                            $("input[name='data[lng]']").val(e.latLng.lng);
                            $("input[name='data[lat]']").val(e.latLng.lat);
                        });
                    })(i);
                }
                map.fitBounds(latlngBounds);
            }
        });
    }
    //清除地图上的marker
    function clearOverlays(overlays) {
        var overlay;
        while (overlay = overlays.pop()) {
            overlay.setMap(null);
        }
    }
    function searchKeyword() {
        var keyword = $(".keyword").val();
        var region = $(".region").val();
        clearOverlays(markers);
        searchService.setLocation(region);
        searchService.search(keyword);
    }

    //调用初始化函数地图
    init();


    //        }
</script>
<script>
    $(document).on('click', '.search', function () {
        searchKeyword();
    })
</script>
@endsection