<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/




//
$api = app('Dingo\Api\Routing\Router');
//
$api->version('v1', ['namespace' => 'App\Http\Controllers\Api\V1'], function ($api) {
//    // test

    Route::group(['middleware' => 'auth:api'], function(){

    });
    $api->get('/land-mark/get-land-mark', 'LandMarkController@getLandMark');
    $api->get('/land-mark/get-detail', 'LandMarkController@getDetail');
    $api->get('/land-mark/get-search', 'LandMarkController@getSearch');
    $api->get('/land-mark/do-like', 'LandMarkController@doLike');
    $api->post('/login', 'LoginController@login');
    $api->post('/attachment/upload', 'AttachmentController@upload');
    $api->post('/land-mark/do-comment', 'LandMarkController@doComment');



//    $api->post('auth/logout', [
//        'as' => 'auth.logout',
//        'uses' => 'AuthController@logout',
//    ]);
//    $api->post('auth/code', [
//        'as' => 'auth.code',
//        'uses' => 'AuthController@getCode',
//    ]);
//    // signup
//    $api->post('auth/register', [
//        'as' => 'auth.register',
//        'uses' => 'AuthController@register',
//    ]);
//    $api->post('auth/password', [
//        'as' => 'auth.reset',
//        'uses' => 'AuthController@setPassword',
//    ]);
//    $api->post('auth/check_password', [
//        'as' => 'auth.check_password',
//        'uses' => 'AuthController@check_password',
//    ]);
//    $api->post('auth/reset', [
//        'as' => 'auth.reset',
//        'uses' => 'AuthController@reset',
//    ]);
//    $api->get('auth/is_login', [
//        'as' => 'auth.is_login',
//        'uses' => 'AuthController@isLogin',
//    ]);
});